package de.ivu.elect.presentation.gebietsbaum.tree;

import java.util.Collections;
import java.util.List;

import javax.enterprise.inject.Specializes;

import de.ivu.elect.business.gebietsbaum.entity.Gebiet;
import de.ivu.elect.business.wahl.entity.Wahl;
import de.ivu.elect.business.wahl.entity.Wahltermin;

@Specializes
public class CoreGebietsbaumAutoCompleteGebietsCacheLoader extends GebietsbaumAutoCompleteGebietsCacheLoader {
  private static final long serialVersionUID = 1L;

  @Override
  public List<Gebiet> ladeAlleAktuellenGebiete(Wahltermin wahltermin, Wahl wahl) {
    if (wahl == null) {
      return Collections.emptyList();
    }
    return gebietExtendedDAO.findByWahl(wahl);
  }
}
